#ifndef UI_QUICKDOCUMENTDIALOG_H
#define UI_QUICKDOCUMENTDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QListWidget>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

class Ui_QuickDocumentDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QWidget *layoutWidget_2;
    QGridLayout *gridLayout;
    QLabel *labelAuthor;
    QPushButton *pushButtonOptions;
    QComboBox *comboBoxPaper;
    QLabel *labelClass;
    QLineEdit *lineEditAuthor;
    QPushButton *pushButtonClass;
    QComboBox *comboBoxSize;
    QLabel *labelTitle;
    QCheckBox *checkBoxAMS;
    QPushButton *pushButtonEncoding;
    QComboBox *comboBoxClass;
    QLabel *labelSize;
    QLineEdit *lineEditTitle;
    QLabel *labelPaper;
    QLabel *labelOptions;
    QListWidget *listWidgetOptions;
    QLabel *labelEncoding;
    QCheckBox *checkBoxIDX;
    QComboBox *comboBoxEncoding;
    QPushButton *pushButtonPaper;

    void setupUi(QDialog *QuickDocumentDialog)
    {
    QuickDocumentDialog->setObjectName(QString::fromUtf8("QuickDocumentDialog"));
    QuickDocumentDialog->resize(QSize(481, 474).expandedTo(QuickDocumentDialog->minimumSizeHint()));
    layoutWidget = new QWidget(QuickDocumentDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 430, 461, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    layoutWidget_2 = new QWidget(QuickDocumentDialog);
    layoutWidget_2->setObjectName(QString::fromUtf8("layoutWidget_2"));
    layoutWidget_2->setGeometry(QRect(10, 10, 461, 406));
    gridLayout = new QGridLayout(layoutWidget_2);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    labelAuthor = new QLabel(layoutWidget_2);
    labelAuthor->setObjectName(QString::fromUtf8("labelAuthor"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(labelAuthor->sizePolicy().hasHeightForWidth());
    labelAuthor->setSizePolicy(sizePolicy);

    gridLayout->addWidget(labelAuthor, 5, 0, 1, 1);

    pushButtonOptions = new QPushButton(layoutWidget_2);
    pushButtonOptions->setObjectName(QString::fromUtf8("pushButtonOptions"));

    gridLayout->addWidget(pushButtonOptions, 7, 2, 1, 1);

    comboBoxPaper = new QComboBox(layoutWidget_2);
    comboBoxPaper->setObjectName(QString::fromUtf8("comboBoxPaper"));

    gridLayout->addWidget(comboBoxPaper, 2, 1, 1, 1);

    labelClass = new QLabel(layoutWidget_2);
    labelClass->setObjectName(QString::fromUtf8("labelClass"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(labelClass->sizePolicy().hasHeightForWidth());
    labelClass->setSizePolicy(sizePolicy1);

    gridLayout->addWidget(labelClass, 0, 0, 1, 1);

    lineEditAuthor = new QLineEdit(layoutWidget_2);
    lineEditAuthor->setObjectName(QString::fromUtf8("lineEditAuthor"));

    gridLayout->addWidget(lineEditAuthor, 5, 1, 1, 1);

    pushButtonClass = new QPushButton(layoutWidget_2);
    pushButtonClass->setObjectName(QString::fromUtf8("pushButtonClass"));

    gridLayout->addWidget(pushButtonClass, 0, 2, 1, 1);

    comboBoxSize = new QComboBox(layoutWidget_2);
    comboBoxSize->setObjectName(QString::fromUtf8("comboBoxSize"));

    gridLayout->addWidget(comboBoxSize, 1, 1, 1, 1);

    labelTitle = new QLabel(layoutWidget_2);
    labelTitle->setObjectName(QString::fromUtf8("labelTitle"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(labelTitle->sizePolicy().hasHeightForWidth());
    labelTitle->setSizePolicy(sizePolicy2);

    gridLayout->addWidget(labelTitle, 6, 0, 1, 1);

    checkBoxAMS = new QCheckBox(layoutWidget_2);
    checkBoxAMS->setObjectName(QString::fromUtf8("checkBoxAMS"));
    checkBoxAMS->setChecked(true);

    gridLayout->addWidget(checkBoxAMS, 4, 0, 1, 1);

    pushButtonEncoding = new QPushButton(layoutWidget_2);
    pushButtonEncoding->setObjectName(QString::fromUtf8("pushButtonEncoding"));

    gridLayout->addWidget(pushButtonEncoding, 3, 2, 1, 1);

    comboBoxClass = new QComboBox(layoutWidget_2);
    comboBoxClass->setObjectName(QString::fromUtf8("comboBoxClass"));

    gridLayout->addWidget(comboBoxClass, 0, 1, 1, 1);

    labelSize = new QLabel(layoutWidget_2);
    labelSize->setObjectName(QString::fromUtf8("labelSize"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(labelSize->sizePolicy().hasHeightForWidth());
    labelSize->setSizePolicy(sizePolicy3);

    gridLayout->addWidget(labelSize, 1, 0, 1, 1);

    lineEditTitle = new QLineEdit(layoutWidget_2);
    lineEditTitle->setObjectName(QString::fromUtf8("lineEditTitle"));

    gridLayout->addWidget(lineEditTitle, 6, 1, 1, 1);

    labelPaper = new QLabel(layoutWidget_2);
    labelPaper->setObjectName(QString::fromUtf8("labelPaper"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(labelPaper->sizePolicy().hasHeightForWidth());
    labelPaper->setSizePolicy(sizePolicy4);

    gridLayout->addWidget(labelPaper, 2, 0, 1, 1);

    labelOptions = new QLabel(layoutWidget_2);
    labelOptions->setObjectName(QString::fromUtf8("labelOptions"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(labelOptions->sizePolicy().hasHeightForWidth());
    labelOptions->setSizePolicy(sizePolicy5);

    gridLayout->addWidget(labelOptions, 7, 0, 1, 1);

    listWidgetOptions = new QListWidget(layoutWidget_2);
    listWidgetOptions->setObjectName(QString::fromUtf8("listWidgetOptions"));

    gridLayout->addWidget(listWidgetOptions, 7, 1, 1, 1);

    labelEncoding = new QLabel(layoutWidget_2);
    labelEncoding->setObjectName(QString::fromUtf8("labelEncoding"));
    QSizePolicy sizePolicy6(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy6.setHorizontalStretch(0);
    sizePolicy6.setVerticalStretch(0);
    sizePolicy6.setHeightForWidth(labelEncoding->sizePolicy().hasHeightForWidth());
    labelEncoding->setSizePolicy(sizePolicy6);

    gridLayout->addWidget(labelEncoding, 3, 0, 1, 1);

    checkBoxIDX = new QCheckBox(layoutWidget_2);
    checkBoxIDX->setObjectName(QString::fromUtf8("checkBoxIDX"));

    gridLayout->addWidget(checkBoxIDX, 4, 1, 1, 1);

    comboBoxEncoding = new QComboBox(layoutWidget_2);
    comboBoxEncoding->setObjectName(QString::fromUtf8("comboBoxEncoding"));

    gridLayout->addWidget(comboBoxEncoding, 3, 1, 1, 1);

    pushButtonPaper = new QPushButton(layoutWidget_2);
    pushButtonPaper->setObjectName(QString::fromUtf8("pushButtonPaper"));

    gridLayout->addWidget(pushButtonPaper, 2, 2, 1, 1);

    QWidget::setTabOrder(comboBoxClass, comboBoxSize);
    QWidget::setTabOrder(comboBoxSize, comboBoxPaper);
    QWidget::setTabOrder(comboBoxPaper, comboBoxEncoding);
    QWidget::setTabOrder(comboBoxEncoding, checkBoxAMS);
    QWidget::setTabOrder(checkBoxAMS, checkBoxIDX);
    QWidget::setTabOrder(checkBoxIDX, lineEditAuthor);
    QWidget::setTabOrder(lineEditAuthor, lineEditTitle);
    QWidget::setTabOrder(lineEditTitle, listWidgetOptions);
    QWidget::setTabOrder(listWidgetOptions, pushButtonClass);
    QWidget::setTabOrder(pushButtonClass, pushButtonPaper);
    QWidget::setTabOrder(pushButtonPaper, pushButtonEncoding);
    QWidget::setTabOrder(pushButtonEncoding, pushButtonOptions);
    QWidget::setTabOrder(pushButtonOptions, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(QuickDocumentDialog);
    QObject::connect(okButton, SIGNAL(clicked()), QuickDocumentDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), QuickDocumentDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(QuickDocumentDialog);
    } // setupUi

    void retranslateUi(QDialog *QuickDocumentDialog)
    {
    okButton->setText(QApplication::translate("QuickDocumentDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("QuickDocumentDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    labelAuthor->setText(QApplication::translate("QuickDocumentDialog", "Author", 0, QApplication::UnicodeUTF8));
    pushButtonOptions->setText(QApplication::translate("QuickDocumentDialog", "+", 0, QApplication::UnicodeUTF8));
    labelClass->setText(QApplication::translate("QuickDocumentDialog", "Document Class", 0, QApplication::UnicodeUTF8));
    pushButtonClass->setText(QApplication::translate("QuickDocumentDialog", "+", 0, QApplication::UnicodeUTF8));
    labelTitle->setText(QApplication::translate("QuickDocumentDialog", "Title", 0, QApplication::UnicodeUTF8));
    checkBoxAMS->setText(QApplication::translate("QuickDocumentDialog", "AMS Packages", 0, QApplication::UnicodeUTF8));
    pushButtonEncoding->setText(QApplication::translate("QuickDocumentDialog", "+", 0, QApplication::UnicodeUTF8));
    labelSize->setText(QApplication::translate("QuickDocumentDialog", "Typeface Size", 0, QApplication::UnicodeUTF8));
    labelPaper->setText(QApplication::translate("QuickDocumentDialog", "Paper Size", 0, QApplication::UnicodeUTF8));
    labelOptions->setText(QApplication::translate("QuickDocumentDialog", "Other Options", 0, QApplication::UnicodeUTF8));
    labelEncoding->setText(QApplication::translate("QuickDocumentDialog", "Encoding", 0, QApplication::UnicodeUTF8));
    checkBoxIDX->setText(QApplication::translate("QuickDocumentDialog", "makeidx Package", 0, QApplication::UnicodeUTF8));
    pushButtonPaper->setText(QApplication::translate("QuickDocumentDialog", "+", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(QuickDocumentDialog);
    } // retranslateUi

};

namespace Ui {
    class QuickDocumentDialog: public Ui_QuickDocumentDialog {};
} // namespace Ui

#endif // UI_QUICKDOCUMENTDIALOG_H
