#ifndef UI_TABDIALOG_H
#define UI_TABDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QTableWidget>
#include <QtGui/QWidget>

class Ui_TabDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QWidget *layoutWidget_2;
    QGridLayout *gridLayout;
    QCheckBox *checkBox;
    QLabel *label_3;
    QTableWidget *tableWidget;
    QLabel *label_2;
    QSpinBox *spinBoxColumns;
    QLabel *label;
    QComboBox *comboAlignment;
    QSpinBox *spinBoxRows;
    QLabel *label_4;
    QComboBox *comboSeparator;

    void setupUi(QDialog *TabDialog)
    {
    TabDialog->setObjectName(QString::fromUtf8("TabDialog"));
    TabDialog->resize(QSize(472, 393).expandedTo(TabDialog->minimumSizeHint()));
    layoutWidget = new QWidget(TabDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 350, 451, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    layoutWidget_2 = new QWidget(TabDialog);
    layoutWidget_2->setObjectName(QString::fromUtf8("layoutWidget_2"));
    layoutWidget_2->setGeometry(QRect(10, 20, 451, 321));
    gridLayout = new QGridLayout(layoutWidget_2);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    checkBox = new QCheckBox(layoutWidget_2);
    checkBox->setObjectName(QString::fromUtf8("checkBox"));
    checkBox->setChecked(true);

    gridLayout->addWidget(checkBox, 5, 0, 1, 1);

    label_3 = new QLabel(layoutWidget_2);
    label_3->setObjectName(QString::fromUtf8("label_3"));

    gridLayout->addWidget(label_3, 2, 0, 1, 1);

    tableWidget = new QTableWidget(layoutWidget_2);
    tableWidget->setObjectName(QString::fromUtf8("tableWidget"));
    tableWidget->setRowCount(2);
    tableWidget->setColumnCount(2);

    gridLayout->addWidget(tableWidget, 0, 0, 1, 2);

    label_2 = new QLabel(layoutWidget_2);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    gridLayout->addWidget(label_2, 3, 0, 1, 1);

    spinBoxColumns = new QSpinBox(layoutWidget_2);
    spinBoxColumns->setObjectName(QString::fromUtf8("spinBoxColumns"));
    spinBoxColumns->setMinimum(1);

    gridLayout->addWidget(spinBoxColumns, 2, 1, 1, 1);

    label = new QLabel(layoutWidget_2);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout->addWidget(label, 4, 0, 1, 1);

    comboAlignment = new QComboBox(layoutWidget_2);
    comboAlignment->setObjectName(QString::fromUtf8("comboAlignment"));
    comboAlignment->setMaxVisibleItems(11);

    gridLayout->addWidget(comboAlignment, 3, 1, 1, 1);

    spinBoxRows = new QSpinBox(layoutWidget_2);
    spinBoxRows->setObjectName(QString::fromUtf8("spinBoxRows"));

    gridLayout->addWidget(spinBoxRows, 1, 1, 1, 1);

    label_4 = new QLabel(layoutWidget_2);
    label_4->setObjectName(QString::fromUtf8("label_4"));

    gridLayout->addWidget(label_4, 1, 0, 1, 1);

    comboSeparator = new QComboBox(layoutWidget_2);
    comboSeparator->setObjectName(QString::fromUtf8("comboSeparator"));

    gridLayout->addWidget(comboSeparator, 4, 1, 1, 1);

    retranslateUi(TabDialog);
    QObject::connect(okButton, SIGNAL(clicked()), TabDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), TabDialog, SLOT(reject()));

    comboAlignment->setCurrentIndex(-1);


    QMetaObject::connectSlotsByName(TabDialog);
    } // setupUi

    void retranslateUi(QDialog *TabDialog)
    {
    okButton->setText(QApplication::translate("TabDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("TabDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    checkBox->setText(QApplication::translate("TabDialog", "Horizontal Separator", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("TabDialog", "Num of Columns", 0, QApplication::UnicodeUTF8));
    tableWidget->clear();
    tableWidget->setColumnCount(0);
    tableWidget->setRowCount(0);
    label_2->setText(QApplication::translate("TabDialog", "Columns Alignment", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("TabDialog", "Vertical Separator", 0, QApplication::UnicodeUTF8));
    label_4->setText(QApplication::translate("TabDialog", "Num of Rows", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(TabDialog);
    } // retranslateUi

};

namespace Ui {
    class TabDialog: public Ui_TabDialog {};
} // namespace Ui

#endif // UI_TABDIALOG_H
