#ifndef UI_X11FONTDIALOG_H
#define UI_X11FONTDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QWidget>

class Ui_X11FontDialog
{
public:
    QWidget *layoutWidget;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;
    QWidget *widget;
    QGridLayout *gridLayout;
    QLabel *labelFamily;
    QComboBox *comboBoxFont;
    QLabel *labelSize;
    QSpinBox *spinBoxSize;

    void setupUi(QDialog *X11FontDialog)
    {
    X11FontDialog->setObjectName(QString::fromUtf8("X11FontDialog"));
    X11FontDialog->resize(QSize(320, 126).expandedTo(X11FontDialog->minimumSizeHint()));
    layoutWidget = new QWidget(X11FontDialog);
    layoutWidget->setObjectName(QString::fromUtf8("layoutWidget"));
    layoutWidget->setGeometry(QRect(10, 80, 301, 33));
    hboxLayout = new QHBoxLayout(layoutWidget);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(layoutWidget);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(layoutWidget);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);

    widget = new QWidget(X11FontDialog);
    widget->setObjectName(QString::fromUtf8("widget"));
    widget->setGeometry(QRect(10, 10, 301, 55));
    gridLayout = new QGridLayout(widget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    labelFamily = new QLabel(widget);
    labelFamily->setObjectName(QString::fromUtf8("labelFamily"));

    gridLayout->addWidget(labelFamily, 0, 0, 1, 1);

    comboBoxFont = new QComboBox(widget);
    comboBoxFont->setObjectName(QString::fromUtf8("comboBoxFont"));

    gridLayout->addWidget(comboBoxFont, 0, 1, 1, 1);

    labelSize = new QLabel(widget);
    labelSize->setObjectName(QString::fromUtf8("labelSize"));

    gridLayout->addWidget(labelSize, 1, 0, 1, 1);

    spinBoxSize = new QSpinBox(widget);
    spinBoxSize->setObjectName(QString::fromUtf8("spinBoxSize"));
    spinBoxSize->setMaximum(48);
    spinBoxSize->setMinimum(4);
    spinBoxSize->setValue(12);

    gridLayout->addWidget(spinBoxSize, 1, 1, 1, 1);

    retranslateUi(X11FontDialog);
    QObject::connect(okButton, SIGNAL(clicked()), X11FontDialog, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), X11FontDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(X11FontDialog);
    } // setupUi

    void retranslateUi(QDialog *X11FontDialog)
    {
    X11FontDialog->setWindowTitle(QApplication::translate("X11FontDialog", "Select a Font", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("X11FontDialog", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("X11FontDialog", "Cancel", 0, QApplication::UnicodeUTF8));
    labelFamily->setText(QApplication::translate("X11FontDialog", "Font Family", 0, QApplication::UnicodeUTF8));
    labelSize->setText(QApplication::translate("X11FontDialog", "Font Size", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(X11FontDialog);
    } // retranslateUi

};

namespace Ui {
    class X11FontDialog: public Ui_X11FontDialog {};
} // namespace Ui

#endif // UI_X11FONTDIALOG_H
